Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2131681 - No locale files for dnsmasq
Summary: No locale files for dnsmasq
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnsmasq
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-03 10:03 UTC by Temuri Doghonadze
Modified: 2023-06-09 02:00 UTC (History)
6 users (show)

Fixed In Version: dnsmasq-2.89-5.fc39 dnsmasq-2.89-5.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-09 02:00:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Package Sources dnsmasq pull-request 13 0 None None None 2022-12-08 17:29:45 UTC

Description Temuri Doghonadze 2022-10-03 10:03:16 UTC
Description of problem:
Hi,
There are no locale-specific .mo files shipped with dnsmasq packages as far as I've checked on none of versions of RHEL/Fedora. 
Is there any specific reasons behind this?

BR, Temuri

Comment 1 Petr Menšík 2022-12-08 17:29:46 UTC
No, there is no specific reason for it. I am not sure how much are those useful for dnsmasq and nobody requested them yet before.

I have prepared a pull request with proposed change [1]. It should also build it on my copr repository [2], which would allow testing that version on stable releases as well.
Would you be able to test, whether it would work for your? My language Czech is not among translated languages, so my language should not offer a language pack automatically. Can you please test whether it would offer translation to install? I think if you would have installed langpacks-${LANG} from this set, it should offer the langpack also on installation.

(langpacks-de or langpacks-es or langpacks-fi or langpacks-fr or langpacks-id or langpacks-it or langpacks-ka or langpacks-no or langpacks-pl or langpacks-pt_BR or langpacks-ro)

1. https://src.fedoraproject.org/rpms/dnsmasq/pull-request/13
2. https://copr.fedorainfracloud.org/coprs/pemensik/dnsmasq/

Comment 2 Petr Menšík 2022-12-08 17:46:42 UTC
There are included also two manual pages in Spanish and French. Not sure how much are they updated.

Comment 3 Temuri Doghonadze 2022-12-08 19:13:28 UTC
Hi!
Just enabled your copr repo and installed dnsmasq with it and yes, it did install dnsmasq-langpack package with has Georgian in it (/usr/share/locale/ka/LC_MESSAGES/dnsmasq.mo is intact).
But unfortunately it doesn't work for any language in package.
You can test it by just putting some random string in dnsmasq.conf and running 'LANG=LOCALE_NAME dnsmasq' ('LANG=ka dnsmasq' for Georgian) so it will throw an error out.
I have tested other languages too which are shipped in dnsmasq-langpack package, but I cannot get it working.

Error in my case is "dnsmasq: bad option at line 7 of /etc/dnsmasq.conf", which I cannot even find in PO file I have translated.

Comment 4 Temuri Doghonadze 2022-12-08 20:30:03 UTC
I did a bit deeper dig. When I run strace dnsmasq, it's not even trying to access dnsmasq.mo file.
Should be something in code, I guess

Comment 5 Temuri Doghonadze 2022-12-08 22:07:24 UTC
And after some even deeper digging, found out this.
All i18n support in dnsmasq depends on definition of macro "LOCALEDIR" (and several others, HAVE_IDN2 too I guess).
Variable is defined in Makefile and used "as if it's declared" in C code, while not being mentioned anywhere else.

Just as a dirty hack (I'm not a dev, sorry) I put "#define LOCALEDIR "/usr/share/locale" " in src/config.h, rebuilt dnsmasq and langpack is working as it should.

Hope ths helps.

BR, Temuri

Comment 6 Ben Cotton 2023-02-07 15:13:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 7 Fedora Update System 2023-02-13 21:56:19 UTC
FEDORA-2023-40edff3a21 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-40edff3a21

Comment 8 Fedora Update System 2023-02-14 01:58:34 UTC
FEDORA-2023-40edff3a21 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-40edff3a21`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-40edff3a21

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-02-17 18:16:26 UTC
FEDORA-2023-40edff3a21 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Petr Menšík 2023-04-27 09:35:34 UTC
Ah, Simon Kelley reported to me, that our current build still does not work with localization.

Current version just provides localized manual pages, but using translated dnsmasq still does not work.

Comment 11 Temuri Doghonadze 2023-06-01 04:00:58 UTC
(In reply to Petr Menšík from comment #10)
> Ah, Simon Kelley reported to me, that our current build still does not work
> with localization.
> 
> Current version just provides localized manual pages, but using translated
> dnsmasq still does not work.

Hello.
Any news about this, please?

Comment 12 Petr Menšík 2023-06-07 14:25:18 UTC
Ah, yes! I finally tested modified build on rawhide branch. Tested it with de locale. I were surprised by that dnsmasq --test on default configuration is still in english. But error messages were in language unknown to me, so it seems it works this time.

Sorry, I kind of forgot to build at least some stable branch update. I will build the change just for f38 unless someone requests explicitly also previous version. There is a chance it may cause lower performance in some cases or even some regressions. f38 branch has it merged already, but not built. My failure, sorry for that!

Comment 13 Fedora Update System 2023-06-07 15:23:35 UTC
FEDORA-2023-5efaca2641 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5efaca2641

Comment 14 Fedora Update System 2023-06-08 01:44:48 UTC
FEDORA-2023-5efaca2641 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5efaca2641`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5efaca2641

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-06-09 02:00:20 UTC
FEDORA-2023-5efaca2641 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.